Name: 		qtgtk
Version: 	0.1.0
Release: 	1
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://dot.kde.org/1073668213/
Source: 	%{name}-%{version}.tar.bz2
Requires:	qt gtk2
BuildRequires:  qt-devel gtk2-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.
Allow GTK Themes to look exactly like QT/KDE Themes.

How to setup.

1. Click [K start Menu]+[Control Center]
2. Click [Appearance & Themes]+[Colors]
Check-mark "Apply Colors to non-KDE Applications] e.g. [o]
3. Click [GTK Styles and Fonts] - Rest is self explanatory.

Make sure to "Apply" changes then restart your GTK apps.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}*

%build
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --enable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --enable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/designer/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/styles/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
